Bug 672068 - dspam web interface completely broken
Summary: dspam web interface completely broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: dspam
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathanael Noblet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-23 17:48 UTC by Matěj Cepl
Modified: 2018-04-11 13:44 UTC (History)
3 users (show)

Fixed In Version: dspam-3.9.0-17.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-11 20:57:32 UTC


Attachments (Terms of Use)
patch to fix EL-5 branch of fedora repo (8.42 KB, patch)
2011-01-23 17:48 UTC, Matěj Cepl
no flags Details | Diff

Description Matěj Cepl 2011-01-23 17:48:17 UTC
Created attachment 474846 [details]
patch to fix EL-5 branch of fedora repo

Description of problem:
When I installed dspam-web I get no working web interface at all. No wonder, as dsapm web interface seems to require (to my naive apache-newbie eye) suexec and that requires virtual server. I have reworked whole configuration and with the attached patch it seems to work much better now.

Please, review the patch whether it makes any sense to you.

Version-Release number of selected component (if applicable):
dspam-3.9.0-9.el5

How reproducible:
100%

Comment 1 Matěj Cepl 2011-01-23 17:49:34 UTC
Succesful scratch build of my package is https://koji.fedoraproject.org/koji/taskinfo?taskID=2737933

Comment 2 Nathanael Noblet 2011-01-26 17:29:33 UTC
I'll take a look.. I put it in /usr/share/dspam as other projects like drupal and wordpress place their files there...

Comment 3 Matěj Cepl 2011-01-26 20:34:49 UTC
(In reply to comment #2)
> I'll take a look.. I put it in /usr/share/dspam as other projects like drupal
> and wordpress place their files there...

Yes, however I am a complete newbie in working with apache, so I haven't managed to make SuExec working outside of VirtualServer. Of course, I would much prefer to have https://server/spam/ on the same server as main webmail.

I'll investigate it a little bit

Comment 4 Nathanael Noblet 2011-01-26 21:15:25 UTC
So I've found the issue - a build is in the works to fix it.

/etc/httpd/conf.d/dspam-web.conf needs to have  AddHandler cgi-script .cgi within the <Directory> tags. Since the file is marked as a no replace config file my update won't 'fix' your previously installed copy. However will allow it to work out of the box in the proper location.

Comment 5 Fedora Update System 2011-01-26 21:16:37 UTC
dspam-3.9.0-13.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dspam-3.9.0-13.fc14

Comment 6 Fedora Update System 2011-01-26 21:18:56 UTC
dspam-3.9.0-13.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dspam-3.9.0-13.el5

Comment 7 Matěj Cepl 2011-01-26 21:59:28 UTC
a) SuexecUserGroup context needs to be in VirtualHost, not in plain Directory.
b) such virtual server must be located under /var/www (and owned by dspam:dspam)

Which leads me to believe that (aside from /var/run/dspam/dspam.sock) the attachment 474846 [details] in comment 0 seems to me so far the best what I've seen (I am not saying flawless).

Comment 8 Matěj Cepl 2011-01-26 22:00:42 UTC
Suggesting http://httpd.apache.org/docs/current/suexec.html for more information on suexec module.

Comment 9 Nathanael Noblet 2011-01-27 00:07:13 UTC
Sorry - why does it need to be SuexecUserGroup? Like I said I don't use the web front end...

Comment 10 Matěj Cepl 2011-01-27 10:58:52 UTC
(In reply to comment #9)
> Sorry - why does it need to be SuexecUserGroup? Like I said I don't use the web
> front end...

Mostly because ALL HOWTOs (using system wide settings) I found on this theme say so? I am really not sure, but take a look at

http://www.mcnabbs.org/andrew/linux/dspam/
the official documentation at http://dspam.expass.de/wiki/CGI_with_Apache_suexec
and others I am too lazy to google for again.

Opposite is just

http://www.gentoo-wiki.info/HOWTO_Spam_Filtering_with_DSPAM_and_Postfix

but that uses UserDirs

Comment 11 Fedora Update System 2011-01-27 18:24:52 UTC
dspam-3.9.0-13.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dspam'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/dspam-3.9.0-13.el5

Comment 12 Fedora Update System 2011-02-04 19:51:37 UTC
dspam-3.9.0-13.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-02-13 00:18:14 UTC
dspam-3.9.0-13.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Matěj Cepl 2011-02-27 11:01:31 UTC
(In reply to comment #9)
> Sorry - why does it need to be SuexecUserGroup? Like I said I don't use the web
> front end...

I think you have reply to your question in http://article.gmane.org/gmane.mail.spam.dspam.user/17494 ... we should go through the list and make sure dspam out-of-the-box works like that in Fedora/EPEL.

Comment 15 Fedora Update System 2011-03-02 23:29:29 UTC
Package dspam-3.9.0-16.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dspam-3.9.0-16.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dspam-3.9.0-16.fc15
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2011-03-02 23:29:45 UTC
Package dspam-3.9.0-15.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dspam-3.9.0-15.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dspam-3.9.0-15.fc14
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2011-03-02 23:29:51 UTC
Package dspam-3.9.0-15.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dspam-3.9.0-15.el6'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dspam-3.9.0-15.el6
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2011-03-02 23:29:58 UTC
Package dspam-3.9.0-15.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dspam-3.9.0-15.el5'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dspam-3.9.0-15.el5
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2011-03-03 00:53:42 UTC
dspam-3.9.0-15.el6 has been pushed to the Fedora EPEL 6 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dspam'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/dspam-3.9.0-15.el6

Comment 20 Matěj Cepl 2011-03-03 12:25:44 UTC
We have some problems with packaging:

web.conf.rpmnew
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
warning: group dspam does not exist - using root
chown: neplatná skupina: „dspam:dspam“
Stopping httpd: [  OK  ]

Comment 21 Matěj Cepl 2011-03-03 13:52:13 UTC
[root@luther dspam]# dspam --version
[...]
'--with-dspam-group=mail' '--with-dspam-home-group=mail'
[...]

Isn't this the problem?

Comment 22 Fedora Update System 2011-03-03 19:11:37 UTC
Package dspam-3.9.0-17.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dspam-3.9.0-17.el6'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dspam-3.9.0-17.el6
then log in and leave karma (feedback).

Comment 23 Fedora Update System 2011-03-03 19:11:44 UTC
Package dspam-3.9.0-17.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dspam-3.9.0-17.el5'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dspam-3.9.0-17.el5
then log in and leave karma (feedback).

Comment 24 Fedora Update System 2011-03-03 19:11:51 UTC
Package dspam-3.9.0-17.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dspam-3.9.0-17.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dspam-3.9.0-17.fc15
then log in and leave karma (feedback).

Comment 25 Fedora Update System 2011-03-03 19:11:58 UTC
Package dspam-3.9.0-17.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dspam-3.9.0-17.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dspam-3.9.0-17.fc14
then log in and leave karma (feedback).

Comment 26 Fedora Update System 2011-03-11 20:57:27 UTC
dspam-3.9.0-17.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2011-03-12 04:43:55 UTC
dspam-3.9.0-17.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2011-03-18 19:27:50 UTC
dspam-3.9.0-17.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2011-03-18 19:28:06 UTC
dspam-3.9.0-17.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.